<?php
##foreach @TABLE.arrEventHandlers as @eh##

##if @eh.strEventID=="EVENT_BEFOREPROCESS_LIST"##
// List page: Before process
function BeforeProcessList(&$conn)
{
##@eh.strEventCode##
} // function BeforeProcessList
##endif##

##if @eh.strEventID=="EVENT_BEFOREPROCESS_VIEW"##
// View page: Before process
function BeforeProcessView(&$conn)
{
##@eh.strEventCode##
} // function BeforeProcessView
##endif##

##if @eh.strEventID=="EVENT_BEFOREPROCESS_ADD"##
// Add page: Before process
function BeforeProcessAdd(&$conn)
{
##@eh.strEventCode##
} // function BeforeProcessAdd
##endif##

##if @eh.strEventID=="EVENT_BEFOREPROCESS_EDIT"##
// Edit page: Before process
function BeforeProcessEdit(&$conn)
{
##@eh.strEventCode##
} // function BeforeProcessEdit
##endif##

##if @eh.strEventID=="EVENT_BEFOREPROCESS_PRINT"##
// Print page: Before process
function BeforeProcessPrint(&$conn)
{
##@eh.strEventCode##
} // function BeforeProcessPrint
##endif##

##if @eh.strEventID=="EVENT_BEFOREPROCESS_SEARCH"##
// Search page: Before process
function BeforeProcessSearch()
{
##@eh.strEventCode##
} // function BeforeProcessSearch
##endif##

##if @eh.strEventID=="EVENT_BEFOREPROCESS_EXPORT"##
// Export page: Before process
function BeforeProcessExport(&$conn)
{
##@eh.strEventCode##
} // function BeforeProcessExport
##endif##

##if @eh.strEventID=="EVENT_BEFOREPROCESS_REPORT"##
// Report page: Before process
function BeforeProcessReport(&$conn)
{
##@eh.strEventCode##
} // function BeforeProcessReport
##endif##

##if @eh.strEventID=="EVENT_BEFOREPROCESS_CHART"##
// Chart page: Before process
function BeforeProcessChart(&$conn)
{
##@eh.strEventCode##
} // function BeforeProcessChart
##endif##

##if @eh.strEventID=="EVENT_BEFOREADD"##
// Before record added
function BeforeAdd(&$values,&$message,$inline)
{
##@eh.strEventCode##
} // function BeforeAdd
##endif##

##if @eh.strEventID=="EVENT_AFTERADD"##
// After record added
function AfterAdd(&$values,&$keys,$inline)
{
##@eh.strEventCode##
} // function AfterAdd
##endif##

##if @eh.strEventID=="EVENT_BEFOREDELETE"##
// Before record deleted
function BeforeDelete($where,&$deleted_values)
{
##@eh.strEventCode##
} // function BeforeDelete
##endif##

##if @eh.strEventID=="EVENT_AFTERDELETE"##
// After record deleted
function AfterDelete($where,&$deleted_values)
{
##@eh.strEventCode##
} // function AfterDelete
##endif##

##if @eh.strEventID=="EVENT_AFTERMASSDELETE"##
// After group of records deleted
function AfterMassDelete($records_deleted)
{
##@eh.strEventCode##
} // function AfterMassDelete
##endif##

##if @eh.strEventID=="EVENT_BEFOREEDIT"##
// Before record updated
function BeforeEdit(&$values, $where, &$oldvalues, &$keys,&$message,$inline)
{
##@eh.strEventCode##
} // function BeforeEdit
##endif##

##if @eh.strEventID=="EVENT_AFTEREDIT"##
// After record updated
function AfterEdit(&$values, $where, &$oldvalues, &$keys,$inline)
{
##@eh.strEventCode##
} // function AfterEdit
##endif##

##if @eh.strEventID=="EVENT_COPY_ONLOAD"##
// Copy page: OnLoad
function CopyOnLoad(&$values, &$where)
{
##@eh.strEventCode##
} // function CopyOnLoad
##endif##

##if @eh.strEventID=="EVENT_BEFOREQUERY_LIST"##
// List page: Before SQL query
function BeforeQueryList(&$strSQL,&$strWhereClause,&$strOrderBy)
{
##@eh.strEventCode##
} // function BeforeQueryList
##endif##

##if @eh.strEventID=="EVENT_BEFOREQUERY_PRINT"##
// Print page: Before SQL query
function BeforeQueryPrint(&$strSQL,&$strWhereClause,&$strOrderBy)
{
##@eh.strEventCode##
} // function BeforeQueryPrint
##endif##

##if @eh.strEventID=="EVENT_BEFOREQUERY_EXPORT"##
// Export page: Before SQL query
function BeforeQueryExport(&$strSQL,&$strWhereClause,&$strOrderBy)
{
##@eh.strEventCode##
} // function BeforeQueryExport
##endif##

##if @eh.strEventID=="EVENT_BEFOREQUERY_REPORT"##
// Report page: Before SQL query
function BeforeQueryReport(&$strSQL,&$strWhereClause,&$strOrderBy)
{
##@eh.strEventCode##
} // function BeforeQueryReport
##endif##

##if @eh.strEventID=="EVENT_BEFOREQUERY_CHART"##
// Chart page: Before SQL query
function BeforeQueryChart(&$strSQL,&$strWhereClause,&$strOrderBy)
{
##@eh.strEventCode##
} // function BeforeQueryChart
##endif##

##if @eh.strEventID=="EVENT_BEFOREQUERY_VIEW"##
// View page: Before SQL query
function BeforeQueryView(&$strSQL,&$strWhereClause)
{
##@eh.strEventCode##
} // function BeforeQueryView
##endif##

##if @eh.strEventID=="EVENT_BEFOREQUERY_EDIT"##
// Edit page: Before SQL query
function BeforeQueryEdit(&$strSQL,&$strWhereClause)
{
##@eh.strEventCode##
} // function BeforeQueryEdit
##endif##

##if @eh.strEventID=="EVENT_BEFORESHOW_LIST"##
// List page: Before display
function BeforeShowList(&$smarty,&$templatefile)
{
##@eh.strEventCode##
} // function BeforeShowList
##endif##

##if @eh.strEventID=="EVENT_BEFORESHOW_VIEW"##
// View page: Before display
function BeforeShowView(&$smarty,&$templatefile, $values)
{
##@eh.strEventCode##
} // function BeforeShowView
##endif##

##if @eh.strEventID=="EVENT_BEFORESHOW_ADD"##
// Add page: Before display
function BeforeShowAdd(&$smarty,&$templatefile)
{
##@eh.strEventCode##
} // function BeforeShowAdd
##endif##

##if @eh.strEventID=="EVENT_BEFORESHOW_EDIT"##
// Edit page: Before display
function BeforeShowEdit(&$smarty,&$templatefile)
{
##@eh.strEventCode##
} // function BeforeShowEdit
##endif##

##if @eh.strEventID=="EVENT_BEFORESHOW_PRINT"##
// Print page: Before display
function BeforeShowPrint(&$smarty,&$templatefile)
{
##@eh.strEventCode##
} // function BeforeShowPrint
##endif##

##if @eh.strEventID=="EVENT_BEFORESHOW_SEARCH"##
// Search page: Before display
function BeforeShowSearch(&$smarty,&$templatefile)
{
##@eh.strEventCode##
} // function BeforeShowSearch
##endif##

##if @eh.strEventID=="EVENT_BEFORESHOW_REPORT"##
// Report page: Before display
function BeforeShowReport(&$smarty,&$templatefile)
{
##@eh.strEventCode##
} // function BeforeShowReport
##endif##

##if @eh.strEventID=="EVENT_BEFORESHOW_CHART"##
// Chart page: Before display
function BeforeShowChart(&$smarty,&$templatefile)
{
##@eh.strEventCode##
} // function BeforeShowChart
##endif##

##if @eh.strEventID=="EVENT_BEFOREPROCESSROW_LIST"##
// List page: Before record processed
function BeforeProcessRowList(&$data)
{
##@eh.strEventCode##
} // function BeforeProcessRowList
##endif##

##if @eh.strEventID=="EVENT_BEFOREMOVENEXT_LIST"##
// List page: After record processed
function BeforeMoveNextList(&$data,&$row,$col)
{
##@eh.strEventCode##
} // function BeforeMoveNextList
##endif##

##if @eh.strEventID=="EVENT_BEFOREPROCESSROW_PRINT"##
// Print page: Before record processed
function BeforeProcessRowPrint(&$data)
{
##@eh.strEventCode##
} // function BeforeProcessRowPrint
##endif##

##if @eh.strEventID=="EVENT_BEFOREMOVENEXT_PRINT"##
// Print page: After record processed
function BeforeMoveNextPrint(&$data,&$row,$col)
{
##@eh.strEventCode##
} // function BeforeMoveNextPrint
##endif##

##if @eh.strEventID=="EVENT_ONSCREEN"##
function ##@eh.strName##(&$params)
{
##@eh.strEventCode##
}
##endif##

##endfor##
?>